.lqv-paint-layer {
  background: transparent;
  height: 100%;
  width: 100%;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 2;
}
.lqv-paint-layer.noinput {
  pointer-events: none;
}
.lqv-paint-canvas-container:not(.visible) {
  opacity: 0;
  pointer-events: none;
}
.lqv-paint-settings {
  background: #333;
  border: 1px solid #222;
  border-radius: 0.25rem;
  box-shadow: 0.2rem 0.2rem 0.2rem rgba(0,0,0,0.267);
  box-sizing: content-box;
  padding: 0.4rem;
  position: absolute;
  height: 4.8rem;
  z-index: 20000;
  white-space: nowrap;
  left: 80%;
  top: 1rem;
}
.lqv-paint-settings > * {
  display: inline-block;
  margin: 0;
  vertical-align: top;
}
.lqv-paint-settings > ul > li {
  border: 1px solid #999;
  height: 4rem;
  width: 4rem;
  display: inline-block;
  list-style-type: none;
  margin: 0 0.15rem;
  vertical-align: top;
}
.lqv-paint-settings > ul > li > input[type="radio"] {
  box-shadow: inset 0 0 2px #000;
  border: 0;
  cursor: pointer;
  height: 100%;
  width: 100%;
  vertical-align: top;
  -webkit-appearance: none;
}
.lqv-paint-drag-handle,
.lqv-paint-drag-handle:empty {
  width: 1rem;
  height: 100%;
  cursor: move;
}
.lqv-paint-drag-handle::before,
.lqv-paint-drag-handle:empty::before {
  content: "°";
  color: #fff;
  vertical-align: middle;
  line-height: 4.8rem;
}
.lqv-paint-tool {
  background: #222;
  border: 1px solid #000;
  height: 100%;
  display: inline-block;
  padding: 2px;
  margin-right: 2px;
  width: 4.8rem;
}
.lqv-paint-tool.selected {
  border: 1px solid #ffd700;
  background: #444;
}
.lqv-paint-tool > svg {
  height: 100%;
}
.lqv-paint-eraser {
  background: #444;
}
.lqv-paint-palette {
  background: #444;
  box-shadow: 0.2rem 0.2rem 0.2rem rgba(0,0,0,0.267);
  padding: 0.2em;
  height: calc(4.8rem + 2 * 0.2em);
  position: absolute;
  top: 4.8rem;
  left: calc(1rem + 1 * (4.8rem + 2px) + 2px);
}
.lqv-sheets-dialog {
  background: #444;
  box-shadow: 0 0.2rem 0.5rem #000;
  padding: 0.2em;
  position: absolute;
  top: calc(4.8rem + 0.8rem);
  left: calc(1rem + 3 * (4.8rem + 2px) + 2px);
}
.lqv-sheets-dialog > ol {
  list-style-position: inside;
}
.lqv-sheets-dialog > ol > li {
  color: #fff;
  height: 5em;
  vertical-align: top;
}
.lqv-sheets-dialog > ol > li.selected {
  background: #666;
}
.lqv-sheets-dialog > ol > li > img {
  height: 100%;
  vertical-align: top;
}
.lqv-paint-color {
  border: 1px solid #000;
  display: inline-block;
  height: 4.8rem;
  line-height: 4.8rem;
  width: 4.8rem;
  margin-right: 0.5em;
  position: relative;
}
.lqv-paint-color > input {
  border: none;
  height: 100%;
  width: 100%;
}
.lqv-paint-color > kbd {
  color: #fff;
  font-size: 2em;
  position: absolute;
  left: 0;
  height: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  text-align: center;
  vertical-align: middle;
}

/* @import "https://unpkg.com/@liqvid/recording/dist/style.css"; */
@media (any-hover:none){#lv-recording{display:none}}#lv-recording{position:relative}#lv-recording-dialog{background-color:#2a2a2a;border-radius:2px 2px 0 0;box-shadow:2px -2px 2px 2px rgba(0,0,0,0.3);box-sizing:border-box;color:#fff;font-family:sans-serif;line-height:1;position:absolute;bottom:calc(var(--lv-controls-height) - 2px);right:0;z-index:3;max-height:20rem;overflow-y:auto;padding:.5em;width:23rem}#lv-recording-dialog > h3{color:#1a69b5;margin:.5em 0 .2em}#lv-recording-configuration{border-spacing:0 1em;width:100%}#lv-recording-configuration > tbody > tr > th,#lv-recording-configuration > tbody > tr > td{vertical-align:top}#lv-recording-configuration > tbody > tr > th{text-align:right}#lv-recording-configuration > tbody > tr td{padding-left:1em}#lv-recording-configuration > tbody > tr > th[colspan="2"]{color:#1a69b5;text-align:center}#lv-recording-configuration > tbody > tr > th:not([colspan="2"]){font-size:1em;font-weight:normal;padding-right:.2em;text-align:right}.recorder-plugin{display:inline-block;font-family:sans-serif;font-size:.8em;margin:0 .25em;text-align:center}.recorder-plugin-icon{background-color:#222;border-radius:5px;cursor:pointer;display:block;margin:0 auto}.recorder-plugin-icon.active{background-color:#f00}.recorder-plugin-icon text{user-select:none;-webkit-user-select:none}.recordings{font-size:1.5em;list-style-position:inside}.recording-results{border-collapse:collapse;font-size:.6em;width:100%}.recording-results > tbody > tr{background-color:#333}.recording-results > tbody > tr > th{padding:6px;width:36px}.recording-results > tbody > tr > td{padding:6px}.recording-results textarea{width:100%}.recording-results :link{background-color:#1a69b5;box-sizing:border-box;color:#fff !important;display:block;padding:.5em;text-align:center;text-decoration:none;width:100%}.shortcut{font-family:monospace;font-size:1em;width:18ch}
.cm-editor.cm-focused {
  outline: none !important;
}
/* editors */
.lqv-codebooth {
  --button-height: 2.4rem;
  --file-tabs: 0%;
  --split: 50%;
  --v-split: 20%;
  display: grid;
  font-size: 1rem;
  grid-template: "files console" var(--file-tabs)
    "editor console" calc(100% - var(--file-tabs) - var(--button-height))
    "buttons console" var(--button-height) / var(--split);
  height: var(--lv-canvas-height);
  width: 100%;
  position: absolute;
  text-align: left;
}
.lqv-codebooth.multifile {
  --file-tabs: 4%;
}
.lqv-codebooth > .cm-editor,
.lqv-codebooth > .lqv-editor-group,
.lqv-codebooth > .lqv-editor-panel {
  grid-area: editor;
}
.lqv-editor-group > *,
.lqv-editor-panel > * {
  height: 100%;
  width: 100%;
}
.lqv-file-tabs {
  grid-area: files;
  background: #333;
  z-index: 10000;
}
.lqv-file-tabs > [role="tab"] {
  background: #444;
  border: none;
  color: #999;
  cursor: pointer;
  display: inline-block;
  font-family: sans-serif;
  font-size: 1rem;
  height: 100%;
  margin-right: 1px;
  padding: 0.4em 1em 0.4em 2em;
  position: relative;
  text-align: left;
}
.lqv-file-tabs > [role="tab"][aria-selected="true"] {
  background: #222;
  color: #fff;
}
[class*="lqv-filetype-"]::before {
  font-family: monospace;
  font-weight: bold;
  left: 0.5em;
  width: 1em;
  text-align: center;
  position: absolute;
}
.lqv-filetype-html::before {
  content: "<>";
  color: #f66;
}
.lqv-filetype-js::before {
  content: "JS";
  color: #ff0;
}
.lqv-filetype-css::before {
  content: "#";
  color: #1a69b5;
}
.cm-scroller {
  min-height: calc(100% - var(--button-height));
  overflow: auto;
}
.lqv-console {
  grid-area: console;
  overflow-y: auto;
  white-space: pre-wrap;
  overflow-wrap: anywhere;
  color: #000;
}
.lqv-console > pre {
  display: block;
  padding: 0.1em 0.4em;
  width: 100%;
  color: #000;
  border-bottom: 1px solid #eee;
}
.lqv-console > pre.error {
  color: #f00;
}
.lqv-console > pre > *:not(:last-child) {
  margin-right: 0.75em;
}
.lqv-preview {
  grid-area: console;
  height: 100%;
  width: 100%;
  border-left: 1px solid #ddd;
}
.lqv-preview + .lqv-console {
  color: #fff;
  left: var(--split);
  height: var(--v-split);
  grid-area: none;
  width: calc(100% - var(--split));
  position: absolute;
  bottom: 0;
}
.lqv-preview + .lqv-console::before {
  content: "Console";
  color: #fff;
  background-color: #333;
  font-family: sans-serif;
  padding: 0.1em 0.4em;
  width: 100%;
  display: block;
}
.lqv-console > pre span {
  display: inline-block;
}
.lqv-console > pre span.array,
.lqv-console > pre span.object {
  color: #479bee;
}
.lqv-console > pre span.number {
  color: #008000;
}
.lqv-console > pre span.string {
  color: #e438bc;
}
.lqv-console > pre span ol {
  display: inline;
  list-style-type: none;
}
.lqv-console > pre span ol > li {
  display: inline;
}
.lqv-console > pre span ol > li:not(:last-child)::after {
  color: #000;
  content: ", ";
}
.lqv-cb-buttons {
  display: flex;
  grid-area: buttons;
}
.lqv-cb-buttons > [role="tablist"] {
  display: contents;
}
.lqv-codebooth button {
  border: 0 none transparent;
  border-radius: 0;
  color: #fff;
  cursor: pointer;
  flex: 1;
  font-size: 1.5rem;
  height: var(--button-height);
}
.lqv-cb-reset {
  background-color: #1a69b5;
}
.lqv-cb-reset:active {
  background-color: #16599a;
  outline: none;
}
.lqv-cb-run {
  background-color: #18a85e;
}
.lqv-cb-run:active {
  background-color: #148f50;
  outline: 0 none transparent !important;
}
.lqv-cb-clear {
  background-color: #a52117;
}
.lqv-cb-clear:active {
  background-color: #8c1c14;
  outline: 0 none transparent !important;
}
.lqv-cb-copy {
  background-color: #1a69b5;
}
.lqv-cb-copy:active {
  background-color: #16599a;
}
.ui-resizable {
  position: relative;
}
.ui-resizable-handle {
  position: absolute;
  font-size: 0.1px;
  -ms-touch-action: none;
  touch-action: none;
  z-index: 200;
}
.ui-resizable-disabled .ui-resizable-handle,
.ui-resizable-autohide .ui-resizable-handle {
  display: none;
}
.ui-resizable-ew {
  cursor: ew-resize;
  width: 7px;
  left: var(--split);
  top: 0;
  height: 100%;
}
.ui-resizable-ns {
  height: 7px;
  cursor: ns-resize;
  bottom: calc(var(--v-split) - 3.5px);
  left: var(--split);
  width: calc(100% - var(--split));
}
.dragging > iframe {
  pointer-events: none;
}
.lqv-cb-buttons [role="tab"][aria-selected="true"] {
  background-color: #af1866;
}
.lqv-cb-buttons [role="tab"][aria-selected="false"] {
  background-color: #444;
  color: #666;
}
.lqv-cb-buttons [role="tab"][aria-selected="false"]:active {
  background-color: #9e165c;
  color: #ccc;
}
.lqv-cb-copy {
  background-color: #1a69b5;
}
.lqv-cb-copy:active {
  background-color: #16599a;
}
.lqv-cb-run,
.lqv-cb-explain-run > th {
  background-color: #18a85e;
}
.lqv-cb-clear {
  background-color: #a52117;
}

/* ce-controls */
.ce-controls > svg > path {
  fill: #FFF;
}
 /*
  &::after
    content ""
    background $wine
    border-radius 2px
    bottom 3px
    display block
    height 2px
    left 18px
    position absolute
    width 0
    transition left .1s cubic-bezier(0.4,0,1,1), width .1s cubic-bezier(0.4,0,1,1)*/


/*  */
.lv-captions-display {
  left: 50% !important;
  width: auto !important;
  background: rgba(0, 0, 0, 0.5);
  color: #FFF;
  transform: translateX(-50%);
}

.ce-editor, .ce-editor-content {
  background: #FFF;
  color: #000;
  overflow-y: auto;
  display: block;
  position: absolute;
  border: .5em solid #AAA;
  border-radius: .2em;
  padding: .5em;
  width: 75%;
  top: 10%;
  max-height: 50%;
  left: 12.5%;
  z-index: 10000;
}

.lv-transcript-lines {
  border-collapse: collapse;
}

.lv-transcript-lines tr:nth-child(even) {
  background: #EEF;
}

.lv-transcript-lines tr.active {
  background: #BFB;
}

.words {
  width: 90%;
}

.words:hover {
  user-select: text;
}

.words > span::before, .words > span::after {
  content: " ";
}

.ce-editor-content .time-start {
  font-family: monospace;
  padding: 0 .5em;
  text-align: left;
}

.ce-editor-content .time-end {
  font-family: monospace;
  padding: 0 .5em;
  text-align: right;
}

.ce-editor > svg {
  cursor: move;
  height: 1em;
  vertical-align: middle;
}

.ce-correct input {
  border: 1px dotted #000;
  display: inline-block;
  font-family: monospace;
  font-size: 1rem;
  padding: 2px 4px;
  margin: .1em .1em;
  width: calc(1em + var(--len));
}

.ce-correct input.active {
  background: #BFB;
}

/* transcript display */
.ce-transcript {
  visibility: hidden;
  background: linear-gradient(#EEE, #DDD);
  opacity: 0.98;
  border-radius: .1em;
  box-shadow: 0 0 .2em #000;
  position: absolute;
  width: 60%;
  left: 20%;
  top: 20%;
  z-index: 100000000;
  font-size: 1.5rem;
  padding: 1rem;
  height: 50%;
  overflow: hidden;
}
/* actions */
.ce-transcript-actions {
  position: sticky;
  top: 0;
  left: 0;
  width: 88%;
  left: 10%;
}

.ce-transcript-actions > input {
  border: none;
  box-shadow: 0 0 .1em #0004 inset;
  font-size: 1em;
  padding: 0 .2em;
}

.ce-transcript-actions > button {
  border: none;
  cursor: pointer;
  float: right;
  color: #AAA;
  font-size: 2em;
  line-height: .5em;
  vertical-align: top;
}


.ce-transcript-wrap {
  position: absolute;
  height: 85%;
  margin-top: .15em;
  width: 95%;
  display: table-row;
  overflow:  auto;
}

.ce-transcript-times {
  display: table-cell;
  /*float: left;*/
  position: relative;
  width: 10%;
  /*height: 100%;*/
}

.ce-transcript-times > * {
  color: #1a69b5;
  font-family: monospace;
  font-size: .9rem;
  position: absolute;
  text-align: right;
  right: .5em;
}
.ce-transcript-display {
  display: table-cell;
  background: #FFF;
  background-image:  url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='6' height='10'><line x1='0' y1='5' x2='12' y2='5' stroke='%231a69b544' stroke-width='.3' stroke-dasharray='2 1'/></svg>");
  background-size: auto 1.15em; /* wtf */
  background-position: 0 .7em;
  box-shadow: 0 0 .1em #0006 inset;
  padding: .2em;
  /*overflow-y: auto;*/
  width: 90%;
  /*margin-left: 10%;*/
}

.ce-transcript-display > a {
  display: inline-block;
  line-height: 1.15;
  margin: 0 .2em 0 0;
}

.ce-transcript-display > a.active {
  color: seagreen;
}

.ce-transcript-display > a.irrel {
  opacity: .2;
}

.lv-canvas.no-face > .floating-face {
  display: none;
}
.floating-face {
  position: absolute;
  height: 20%;
  right: 0;
  bottom: 0;
  z-index: 3;
}
.lv-controls-face {
  background: none;
  border: none;
  cursor: pointer;
  height: 100%;
}
.lv-controls-face > svg {
  height: 100%;
}
.lv-controls-face > svg > circle:first-child {
  stroke: #666;
}
.lv-controls-face > svg > *:not(:first-child) {
  fill: #666;
}
.lv-controls-face > svg.active > circle:first-child {
  stroke: #fff;
}
.lv-controls-face > svg.active > *:not(:first-child) {
  fill: #fff;
}
.lv-canvas {
  background-image: url("/img/grid.png");
  --main: #000;
}
.dark .lv-canvas {
  background-color: #111;
  --main: #fff;
}
.lv-canvas > section {
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
}
.draggable {
  cursor: grab;
  cursor: -webkit-grab;
}
body.dragging .rp-canvas,
body.dragging .draggable,
.dragging {
  cursor: grabbing;
  cursor: -webkit-grabbing;
}
.lv-cursor,
.lqv-cursor {
  height: 1rem;
}
.clrs {
  background: #fff1d7;
  counter-reset: clrs;
  display: block;
  font-family: "Times New Roman", Times, serif;
  font-size: 2rem;
  text-align: left;
  padding: 0.1em 1em 0.1em 0.1em;
  user-select: text;
  height: min-content;
  width: min-content;
  white-space: pre;
}
.dark .clrs {
  background-color: #3c352a;
  color: #fff;
}
.clrs > ol {
  list-style: none;
}
.clrs > ol > li {
  counter-increment: clrs;
}
.clrs > ol > li::before {
  content: counter(clrs, arabic);
  display: inline-block;
  font-size: 0.8em;
  margin-right: 0.5em;
  text-align: right;
}
.clrs.long > ol > li::before {
  width: 1em;
}
.clrs > ol > li > .keyword,
clrs-kw {
  font-weight: bold;
}
.clrs > ol > li > .comment,
clrs-cmt {
  color: #8b0000;
}
h1 {
  color: #8b0000;
  font-family: "Alegreya";
}
.dark .cm-editor {
  background-color: #26292c;
  color: #0f0;
  font-family: "Monaco", monospace;
}
.dark .cm-editor .cm-activeLineGutter {
  background: #333;
  color: #fff;
}
.dark .cm-editor .cm-cursor {
  border-left: 1px solid #f8f8f0;
}
.dark .cm-editor .cm-gutter {
  background: #272822;
}
.dark .cm-editor .cm-gutters {
  border-right: 1px solid #444;
}
.dark .cm-editor .cm-selectionBackground,
.dark .cm-editor.cm-focused .cm-selectionBackground {
  background: #005ca4;
}
.dark .cmt-keyword {
  color: #0ff;
  font-weight: bold;
}
.dark .cmt-comment {
  background-color: #6b003a;
  color: #ff0;
}
.dark .cmt-variableName {
  color: #ae81ff;
}
.dark .cmt-number {
  color: #b8d977;
}
.dark .cmt-string,
.dark .cmt-string-2 {
  color: #fff;
}
.dark .cmt-operator {
  color: #0ff;
}
.dark .lqv-console > pre {
  color: #fff;
}
h1 {
  font-size: 3rem;
  margin: 0.25em auto;
}
#intro {
  text-align: center;
}
#intro > .clrs {
  font-size: 3rem;
  margin: 0.5em auto 0;
  text-align: left;
}
.lqv-codebooth {
  grid-template: "editor right" calc(100% - var(--button-height))
    "buttons right" var(--button-height) / var(--split);
}
.lqv-cb-right {
  border-left: 1px solid #eee;
  display: flex;
  flex-direction: column;
  grid-area: right;
}
.lqv-cb-right > .clrs {
  font-size: 1.5rem;
  width: 100%;
}
.lqv-console {
  background: rgba(0,0,0,0.063);
  grid-area: unset;
  height: 100%;
  width: 100%;
}
